//两个输入的顶点着色器
uniform mat4 uTexMatrix;

attribute vec4 aPosition;

attribute vec4 aTextureCoord;
attribute vec4 aExtraTextureCoord;

varying vec2 vTextureCoord;
varying vec2 vExtraTextureCoord;

void main() {
  gl_Position = aPosition;
    vExtraTextureCoord = aExtraTextureCoord.xy;
    vTextureCoord = (uTexMatrix * aTextureCoord).xy;
}