precision mediump float;//fragment中没有默认的浮点数精度修饰符。因此，对于浮点数，浮点数向量和矩阵变量声明，必须声明包含一个精度修饰符。

varying vec2 vTextureCoord;// 接收从顶点着色器过来的纹理坐标
uniform sampler2D uTexture;// 纹理采样器，代表一幅纹理

void main() {
    gl_FragColor = texture2D(uTexture, vTextureCoord);// 进行纹理采样
}